import csv
import sys
from datetime import timedelta

from django.core.management.base import BaseCommand

from accounts.models import Account, AccountService
from sms_hub.models import Service

SERVICES_SMS_HUB = [
    ('Вконтактe', 'vk'),
    ('Ok.ru', 'ok'),
    ('Whatsapp', 'wa'),
    ('Viber', 'vi'),
    ('Telegram', 'tg'),
    ('WeChat', 'wb'),
    ('Google youtube Gmail', 'go'),
    ('avito', 'av'),
    ('facebook', 'fb'),
    ('Twitter', 'tw'),
    ('Uber', 'ub'),
    ('Киви', 'qw'),
    ('Gett', 'gt'),
    ('OLX', 'sn'),
    ('Instagram', 'ig'),
    ('Hezzl', 'ss'),
    ('Юла', 'ym'),
    ('Mail.ru', 'ma'),
    ('Microsoft', 'mm'),
    ('Airbnb', 'uk'),
    ('Line msg', 'me'),
    ('Yahoo', 'mb'),
    ('ДругВокруг', 'we'),
    ('X5ID', 'bd'),
    ('HQ Trivia', 'kp'),
    ('Delivery Club', 'dt'),
    ('Яндекс', 'ya'),
    ('Steam', 'mt'),
    ('Tinder', 'oi'),
    ('Mamba', 'fd'),
    ('Dent', 'zz'),
    ('KakaoTalk', 'kt'),
    ('AOL', 'pm'),
    ('LinkedIN', 'tn'),
    ('Tencent QQ', 'qq'),
    ('Магнит', 'mg'),
    ('pof.com', 'pf'),
    ('Yalla', 'yl'),
    ('kolesa.kz', 'kl'),
    ('premium.one', 'po'),
    ('Naver', 'nv'),
    ('Netflix', 'nf'),
    ('icq', 'iq'),
    ('Onlinerby', 'ob'),
    ('kufarby', 'kb'),
    ('Imo', 'im'),
    ('Michat', 'mc'),
    ('Discord', 'ds'),
    ('Seosprint', 'vv'),
    ('Monobank', 'ji'),
    ('TikTok/Douyin', 'lf'),
    ('Ukrnet', 'hu'),
    ('Skout', 'wg'),
    ('EasyPay', 'rz'),
    ('Q12 Trivia', 'vf'),
    ('Pyro Music', 'ny'),
    ('Wolt', 'rr'),
    ('CliQQ', 'fe'),
    ('ssoidnet', 'la'),
    ('Zoho', 'zh'),
    ('Ticketmaster', 'gp'),
    ('Amazon', 'am'),
    ('Olacabs', 'ly'),
    ('Rambler', 'tc'),
    ('ProtonMail', 'dp'),
    ('NRJ Music Awards', 'pg'),
    ('Citymobil/Urent', 'yf'),
    ('MIRATORG', 'op'),
    ('PGbonus', 'fx'),
    ('MEGA', 'qr'),
    ('СпортМастер', 'yk'),
    ('Careem', 'ls'),
    ('BIGO LIVE', 'bl'),
    ('MyMusicTaste', 'mu'),
    ('Snapchat', 'fu'),
    ('Keybase', 'bf'),
    ('OZON', 'sg'),
    ('Wildberries', 'uu'),
    ('BlaBlaCar', 'ua'),
    ('Alibaba', 'ab'),
    ('Inboxlv', 'iv'),
    ('Nttgame', 'zy'),
    ('Surveytime', 'gd'),
    ('Mylove', 'fy'),
    ('mosru', 'ce'),
    ('Truecaller', 'tl'),
    ('Globus', 'hm'),
    ('Bolt', 'tx'),
    ('Shopee', 'ka'),
    ('Перекресток', 'pl'),
    ('Burger King', 'ip'),
    ('Prom', 'cm'),
    ('AliPay', 'hw'),
    ('Karusel', 'de'),
    ('IVI', 'jc'),
    ('inDriver', 'rl'),
    ('Happn', 'df'),
    ('RuTube', 'ui'),
    ('Magnolia', 'up'),
    ('Foodpanda', 'nz'),
    ('Weibo', 'kf'),
    ('BillMill', 'ri'),
    ('Quipp', 'cc'),
    ('Okta', 'lr'),
    ('JDcom', 'za'),
    ('MTS CashBack', 'da'),
    ('Fiqsy', 'ug'),
    ('KuCoinPlay', 'sq'),
    ('Papara', 'zr'),
    ('Wish', 'xv'),
    ('Icrypex', 'cx'),
    ('PaddyPower', 'cw'),
    ('Baidu', 'li'),
    ('Dominos Pizza', 'dz'),
    ('paycell', 'xz'),
    ('Lenta', 'rd'),
    ('Payberry', 'qb'),
    ('Drom', 'hz'),
    ('GlobalTel', 'gl'),
    ('Deliveroo', 'zk'),
    ('Socios', 'ia'),
    ('Wmaraci', 'xl'),
    ('Yemeksepeti', 'yi'),
    ('Nike', 'ew'),
    ('myGLO', 'ae'),
    ('YouStar', 'gb'),
    ('РСА', 'cy'),
    ('RosaKhutor', 'qm'),
    ('eBay', 'dh'),
    ('Квартплата+', 'yb'),
    ('GG', 'qe'),
    ('Grindr', 'yw'),
    ('OffGamers', 'uz'),
    ('Hepsiburadacom', 'gx'),
    ('Coinbase', 're'),
    ('dbrUA', 'tj'),
    ('PayPal', 'ts'),
    ('hily', 'rt'),
    ('SneakersnStuff', 'sf'),
    ('Dostavista', 'sv'),
    ('23red', 'qi'),
    ('Blizzard', 'bz'),
    ('ezbuy', 'db'),
    ('CoinField', 'vw'),
    ('Airtel', 'zl'),
    ('YandexGo', 'wf'),
    ('MrGreen', 'lw'),
    ('Rediffmail', 'co'),
    ('miloan', 'ey'),
    ('Paytm', 'ge'),
    ('Dhani', 'os'),
    ('CMTcuzdan', 'ql'),
    ('Mercado', 'cq'),
    ('DiDi', 'xk'),
    ('Monese', 'py'),
    ('Kotak811', 'rv'),
    ('Hopi', 'jl'),
    ('Trendyol', 'pr'),
    ('Justdating', 'pu'),
    ('Pairs', 'dk'),
    ('Touchance', 'fm'),
    ('SnappFood', 'ph'),
    ('NCsoft', 'sw'),
    ('Tosla', 'nr'),
    ('Ininal', 'hy'),
    ('Paysend', 'tr'),
    ('CDkeys', 'pq'),
    ('AVON', 'ff'),
    ('dodopizza', 'sd'),
    ('McDonalds', 'ry'),
    ('E bike Gewinnspiel', 'le'),
    ('JKF', 'hr'),
    ('MyFishka', 'qa'),
    ('Craigslist', 'wc'),
    ('Foody', 'kw'),
    ('Grab', 'jg'),
    ('Zalo', 'mj'),
    ('LiveScore', 'eu'),
    ('888casino', 'll'),
    ('Gamer', 'ed'),
    ('Huya', 'pp'),
    ('WestStein', 'th'),
    ('Tango', 'xr'),
    ('Global24', 'iz'),
    ('МВидео', 'tk'),
    ('Sheerid', 'rx'),
    ('99app', 'ki'),
    ('CAIXA', 'my'),
    ('OfferUp', 'zm'),
    ('Swvl', 'tq'),
    ('Haraj', 'au'),
    ('Taksheel', 'ei'),
    ('hamrahaval', 'rp'),
    ('Gamekit', 'pa'),
    ('Şikayet var', 'fs'),
    ('Getir', 'ul'),
    ('irancell', 'cf'),
    ('Alfa', 'bt'),
    ('Disney Hotstar', 'ud'),
    ('Agroinform', 'qu'),
    ('humblebundle', 'un'),
    ('Faberlic', 'rm'),
    ('CafeBazaar', 'uo'),
    ('cryptocom', 'ti'),
    ('Gittigidiyor', 'nk'),
    ('mzadqatar', 'jm'),
    ('Algida', 'lp'),
    ('Cita Previa', 'si'),
    ('Potato Chat', 'fj'),
    ('Bitaqaty', 'pt'),
    ('Праймериp 2020', 'qc'),
    ('Amasia', 'yo'),
    ('Dream11', 've'),
    ('Oriflame', 'qh'),
    ('Bykea', 'iu'),
    ('Immowelt', 'ib'),
    ('Digikala', 'zv'),
    ('Wing Money', 'jb'),
    ('GameArena', 'wn'),
    ('Вита экспрес', 'bj'),
    ('Auchan', 'st'),
    ('Picpay', 'ev'),
    ('Blued', 'qn'),
    ('SpotHit', 'cd'),
    ('Brand20ua', 'vo'),
    ('IQOS', 'il'),
    ('Powerkredite', 'dx'),
    ('Bisu', 'el'),
    ('Paxful', 'dn'),
    ('PurePlatfrom', 'lk'),
    ('Banqi', 'vc'),
    ('1хbet', 'wj'),
    ('Mobile01', 'wk'),
    ('Aitu', 'jj'),
    ('Adidas', 'an'),
    ('Самокат', 'jr'),
    ('Верный', 'nb'),
    ('Humta', 'gv'),
    ('Divar', 'dw'),
    ('Carousell', 'gj'),
    ('MOMO', 'hc'),
    ('Eneba', 'uf'),
    ('Verse', 'kn'),
    ('Taobao', 'qd'),
    ('1688', 'hn'),
    ('OnTaxi', 'zf'),
    ('Hotline', 'gi'),
    ('Tatneft', 'uc'),
    ('RRSA', 'mn'),
    ('Douyu', 'ak'),
    ('Uklon', 'cp'),
    ('Moneylion', 'qo'),
    ('Apple', 'wx'),
    ('Clubhouse', 'et'),
    ('Nifty', 'px'),
    ('PingPong', 'jh'),
    ('Mailru Group', 'lb'),
    ('Банки', 'md'),
    ('BitClout', 'lt'),
    ('Skroutz', 'sk'),
    ('MapleSEA', 'oh'),
    ('Rozetka', 'km'),
    ('GalaxyWin', 'af'),
    ('Ziglu', 'tt'),
    ('Likee', 'jf'),
    ('CityBase', 'az'),
    ('Allegro', 'yn'),
    ('YouGotaGift', 'wl'),
    ('Lazada', 'dl'),
    ('TradingView', 'gc'),
    ('Fiverr', 'cn'),
    ('Gabi', 'ou'),
    ('Kwai', 'vp'),
    ('Детский мир', 'rj'),
    ('Yubo', 'uh'),
    ('iQIYI', 'es'),
    ('СберМегаМаркет', 'be'),
    ('Glovo', 'aq'),
    ('IFood', 'pd'),
    ('Quack', 'zw'),
    ('Mocospace', 'gm'),
    ('Dundle', 'fi'),
    ('Switips', 'hg'),
    ('Faceit', 'qz'),
    ('LYKA', 'gz'),
    ('Paysafecard', 'jq'),
    ('Onet', 'ue'),
    ('LightChat', 'xf'),
    ('GoFundMe', 'bp'),
    ('Meta', 'vy'),
    ('JamesDelivery', 'ea'),
    ('Столото', 'hj'),
    ('ВкусВиль', 'sh'),
    ('ShellBox', 'vg'),
    ('RedBook', 'qf'),
    ('Trip', 'nq'),
    ('BIP', 'ww'),
    ('Эльдорадо', 'ke'),
    ('Whoosh', 'qj'),
    ('KazanExpress', 'ol'),
    ('Akulaku', 'tm'),
    ('KeyPay', 'ra'),
    ('СберМаркет', 'xj'),
    ('Betfair', 'vd'),
    ('Gojek', 'ni'),
    ('Fastmail', 'mr'),
    ('AliExpress', 'hx'),
    ('Metro', 'bv'),
    ('HandyPick', 'sj'),
    ('ChaingeFinance', 'td'),
    ('Iwplay', 'dm'),
    ('GroupMe', 'xs'),
    ('NimoTV', 'kz'),
    ('Stripe', 'nu'),
    ('Eyecon', 'kr'),
    ('Lidl', 'pz'),
    ('Twitch', 'hb'),
    ('GalaxyChat', 'xe'),
    ('ЗдравСити', 'io'),
    ('Iti', 'ad'),
    ('Setel', 'zg'),
    ('Revolut', 'ij'),
    ('СберАптека', 'sl'),
    ('163СOM', 'wp'),
    ('Hermes', 'en'),
    ('Kaggle', 'zo'),
    ('HeyBox', 'vx'),
    ('Band', 'hl'),
    ('Potato', 'lq'),
    ('СhampionСasino', 'uj'),
    ('Roposo', 'ga'),
    ('Wise', 'bo'),
    ('KFC', 'fz'),
    ('OkCupid', 'vm'),
    ('Pocket52', 'ch'),
    ('Payzapp', 'yp'),
    ('AgriDevelop', 'cs'),
    ('CourseHero', 'yg'),
    ('Santander', 'lj'),
    ('Poshmark', 'oz'),
    ('TanTan', 'wh'),
    ('IZI', 'wt'),
    ('Okko', 'og'),
    ('MPL', 'xq'),
    ('OVO', 'xh'),
    ('Vinted', 'kc'),
    ('4Fun', 'hk'),
    ('Около', 'yz'),
    ('Sizeer', 'eo'),
    ('Букмекерский', 'ft'),
    ('Noon', 'tf'),
    ('Megogo', 'lv'),
    ('Zomato', 'dy'),
    ('DewuPoison', 'lx'),
    ('Giftcloud', 'nn'),
    ('Bilibili', 'zs'),
    ('Vivo', 'kx'),
    ('Twilio', 'ee'),
    ('IndiaGold', 'tp'),
    ('RoyalWin', 'ku'),
    ('SuperS', 'ca'),
    ('SportGully', 'va'),
    ('MrQ', 'ej'),
    ('Xiaomi', 'yu'),
    ('Siply', 'np'),
    ('Meliuz', 'uy'),
    ('Lamoda', 'sb'),
    ('Zilch', 'zd'),
    ('Biedronka', 'zn'),
    ('Nanovest', 'je'),
    ('CallApp', 'gw'),
    ('Bit', 'qk'),
    ('InFund', 'xi'),
    ('Indomaret', 'ju'),
    ('NoBroker', 'dv'),
    ('LongHu', 'mk'),
    ('FoodHub', 'iy'),
    ('ZCity', 'ys'),
    ('CrefisaMais', 'ax'),
    ('Taikang', 'aw'),
    ('Coindcx', 'ne'),
    ('Dana', 'fr'),
    ('Weidian', 'mf'),
    ('Mewt', 'he'),
    ('FWDMAX', 'od'),
    ('Fora', 'gu'),
    ('Tokopedia', 'xd'),
    ('Other', 'ot')
]
SERVICES_ONLINE_SIM = [
    ('vk', 'vkcom'),
    ('fb', '3223'),
    ('tg', 'telegram'),
    ('wa', 'whatsapp'),
    ('vi', 'viber'),
    ('ig', 'instagram'),
    ('go', 'google'),
    ('ma', 'mailru'),
    ('ya', 'yandex'),
    ('mb', 'yahoo'),
    ('tw', 'twitter'),
    ('ds', 'discord'),
    ('dt', 'deliveryclub'),
    ('al', 'aliexpress'),
    ('mt', 'steam'),
    ('oz', 'ozon'),
    ('uu', 'wildberries'),
    ('av', 'avito'),
    ('douyin', 'tiktok'),
    ('mm', 'microsoft'),
    ('ub', 'uber'),
    ('ym', 'youla'),
    ('ua', 'blablacar'),
    ('yk', 'sportmaster'),
    ('mg', 'magnit'),
    ('bd', 'pyaterochka'),
    ('wb', 'wechat'),
    ('me', 'linemessenger'),
    ('iq', 'icq'),
    ('tc', 'rambler'),
    ('qq', 'tencentqq'),
    ('fd', 'mamba'),
    ('hz', 'drom'),
    ('kt', 'kakaotalk'),
    ('we', 'fastfriend'),
    ('pm', 'aol'),
    ('tn', 'linkedin'),
    ('ta', 'bolt'),
    ('uk', 'airbnb'),
    ('ok', 'odklru'),
    ('ls', 'livescore'),
    ('Apple', 'apple'),
    ('Azino777', 'azino777'),
    ('um', 'electroneum'),
    ('sd', 'dodopizza'),
    ('dh', 'ebay'),
    ('ot', '7'),
    ('PromUa', 'promua'),
    ('Pokermaster', 'pokermaster'),
    ('kp', 'hqtrivia'),
    ('WRIGGLE', 'wriggle'),
    ('yl', 'yalla'),
    ('Quidol', 'quidol'),
    ('am', 'amazon'),
    ('WhatsAround', 'whatsaround'),
    ('ab', 'alibaba'),
    ('PlanetaKino', 'planetakino'),
    ('Pikabu', 'pikabu'),
    ('Sipnet', 'sipnet'),
    ('hh', 'headhunter'),
    ('gt', 'gett'),
    ('Im', 'imo'),
    ('dt', 'wog_ua'),
    ('Snapchat', 'snapchat'),
    ('Adjarabet', 'adjarabet'),
    ('G2A', 'g2a'),
    ('dp', 'proton'),
    ('TamTam', 'tamtam'),
    ('sn', 'olx'),
    ('ew', 'nike'),
    ('vv', 'seosprint'),
    ('ukr', 'ukrnet'),
    ('bg', 'beget'),
    ('ca', 'careem'),
    ('cm', 'citymobil'),
    ('jl', 'jollychic'),
    ('na', 'naver'),
    ('sg', 'signal'),
    ('yd', 'youdo'),
    ('zd', 'zadarma'),
    ('li', 'baidu'),
    ('hw', 'alipay'),
    ('MiLiao', 'miliao'),
    ('ka', 'shopee'),
    ('Soul', 'soul'),
    ('pu', 'justdating'),
    ('zz', 'dent'),
    ('nf', 'netflix'),
    ('kf', 'weibo'),
    ('Skype', 'skype'),
    ('Douban', 'douban'),
    ('Fetlife', 'fetlife'),
    ('Seagm', 'seagm'),
    ('MoMo', 'momo'),
    ('jg', 'grab'),
    ('SuYue', 'suyue'),
    ('MapleSEA', 'maplesea'),
    ('Fordeal', 'fordeal'),
    ('mj', 'zalo'),
    ('kb', 'kufar'),
    ('Onliner', 'onliner'),
    ('ss', 'hezzl'),
    ('kl', 'kolesa_kz'),
    ('po', 'premium_one'),
    ('ob', 'onlinerby'),
    ('mc', 'michat'),
    ('wg', 'skout'),
    ('vf', 'q12_trivia'),
    ('ny', 'pyr_music'),
    ('fe', 'cliqq'),
    ('la', 'ssoidnet'),
    ('zh', 'zoho'),
    ('gp', 'ticketmaster'),
    ('ly', 'olacabs'),
    ('op', 'miratorg'),
    ('fx', 'pgbonus'),
    ('qr', 'mega'),
    ('bl', 'bigo_live'),
    ('mu', 'mymusictaste'),
    ('bf', 'keybase'),
    ('iv', 'inboxlv'),
    ('zy', 'nttgame'),
    ('gd', 'surveytime'),
    ('fy', 'mylove'),
    ('tl', 'truecaller'),
    ('hm', 'globus'),
    ('pl', 'perekrestok'),
    ('ip', 'burgerking'),
    ('auto.ru', 'auto_ru'),
    ('7588', '7588'),
    ('tk', 'mvideo'),
    ('eneba.com', 'eneba_com'),
    ('homeaway.nl', 'homeaway_nl'),
    ('1cupis', '1cupis_ru'),
    ('battle.net', 'battle_net'),
    ('kinoteatr.ru', 'kinoteatr_ru'),
    ('ry', 'mcdonalds'),
    ('smsc.ru', 'smsc_ru'),
    ('hn', 'taobao'),
    ('tabor.ru', 'tabor_ru'),
    ('qh', 'oriflame'),
    ('sms.ru', 'sms_ru'),
    ('yandex.eda', 'yandex_eda'),
    ('1965', '1965'),
    ('rl', 'indriver'),
    ('rutaxi.ru', 'rutaxi_ru'),
    ('rm', 'faberlic'),
    ('6996', '6996'),
    ('taxi2412.ru', 'taxi2412_ru'),
    ('av100.ru', 'av100_ru'),
    ('100641', '100641'),
    ('tiu.ru', 'tiu_ru'),
    ('2838', '2838'),
    ('cian.ru', 'cian_ru'),
    ('5296', '5296'),
    ('fishka kfc', 'fishka_kfc'),
    ('irr.ru', 'irr_ru'),
    ('7764', '7764'),
    ('reg.ru', 'reg_ru'),
    ('teamo.ru', 'teamo_ru'),
    ('100640', '100640'),
    ('banki.ru', 'banki_ru'),
    ('mc.khl.ru', 'mc_khl_ru'),
    ('100642', '100642'),
    ('sravni.ru', 'sravni_ru'),
    ('dwar.ru', 'dwar_ru'),
    ('pa', 'gamekit'),
    ('679', '679'),
    ('ff', 'avon'),
    ('phone code', 'phone_code'),
    ('100601', '100601'),
    ('2320', '2320'),
    ('e1.ru', 'e1_ru'),
    ('ngs.ru', 'ngs_ru'),
    ('8080', '8080'),
    ('bigd.host', 'bigd_host'),
    ('isnext.ru', 'isnext_ru'),
    ('hgclub.ru', 'hgclub_ru'),
    ('diamond rp', 'diamond_rp'),
    ('3339', '3339'),
    ('fl.ru', 'fl_ru'),
    ('carprice.ru', 'carprice_ru'),
    ('de', 'karusel'),
    ('casebook.ru', 'casebook_ru'),
    ('zoon.ru', 'zoon_ru'),
    ('drive2.ru', 'drive2_ru'),
    ('100643', '100643'),
    ('minitax.ru', 'minitax_ru'),
    ('nlstar.com', 'nlstar_com'),
    ('100602', '100602'),
    ('exist.ru', 'exist_ru'),
    ('boi.pass', 'boi_pass'),
    ('4938', '4938'),
    ('open i', 'open_i'),
    ('mainbox.com', 'mainbox_com'),
    ('9230', '9230'),
    ('1950', '1950'),
    ('.ds.', '_ds_'),
    ('apteka.ru', 'apteka_ru'),
    ('sob.ru', 'sob_ru'),
    ('rd', 'lenta'),
    ('matbea.com', 'matbea_com'),
    ('pass.media', 'pass_media'),
    ('4767', '4767'),
    ('renins.ru', 'renins_ru'),
    ('7522', '7522'),
    ('liga.pro', 'liga_pro'),
    ('jc', 'ivi'),
    ('sfurf.ru', 'sfurf_ru'),
    ('ui', 'rutube'),
    ('sv', 'dostavista'),
    ('doctu.ru', 'doctu_ru'),
    ('1399', '1399'),
    ('glo', 'myglo'),
    ('24h.tv', '24h_tv'),
    ('tatinet.ru', 'tatinet_ru'),
    ('kkt.nalog', 'kkt_nalog'),
    ('sq', 'kucoinplay'),
    ('smsaero.ru', 'smsaero_ru'),
    ('ao ock', 'ao_ock'),
    ('adm.tools', 'adm_tools'),
    ('5115', '5115'),
    ('888.ru', '888_ru'),
    ('sutochno.ru', 'sutochno_ru'),
    ('gpnbonus.ru', 'gpnbonus_ru'),
    ('mts.invest', 'mts_invest'),
    ('sms aero', 'sms_aero'),
    ('24open.ru', '24open_ru'),
    ('8769', '8769'),
    ('love.ru', 'love_ru'),
    ('nn-card.ru', 'nn-card_ru'),
    ('pd39.ru', 'pd39_ru'),
    ('foodband.ru', 'foodband_ru'),
    ('deal.by', 'deal_by'),
    ('igooods.ru', 'igooods_ru'),
    ('ll', '888casino_com'),
    ('xk', 'didi'),
    ('yw', 'grindr'),
    ('rbt.ru', 'rbt_ru'),
    ('lifeair.org', 'lifeair_org'),
    ('meshok.ru', 'meshok_ru'),
    ('ul', 'getir'),
    ('farmlend.ru', 'farmlend_ru'),
    ('an', 'adidas'),
    ('freedom', 'smstraffic'),
    ('nz', 'foodpanda'),
    ('sf', 'sneakerandstuff'),
    ('zk', 'deliveroo'),
    ('lt', 'bitclout'),
    ('spb.bike', 'spb_bike'),
    ('stroika.bz', 'stroika_bz'),
    ('planetazdorovo.ru', 'planetazdorovo_ru'),
    ('k.profi', 'k_profi'),
    ('1shot.club', '1shot_club'),
    ('delikateska', 'delikateska'),
    ('geizer.pro', 'geizer_pro'),
    ('labirint.ru', 'labirint_ru'),
    ('doma.ai', 'doma_ai'),
    ('quest.ddv.moscow', 'quest_ddv_moscow'),
    ('kraski.ru', 'kraski_ru'),
    ('petrovich.ru', 'petrovich_ru'),
    ('mos.ru', 'mos_ru'),
    ('tea.ru', 'tea_ru'),
    ('moy-ka.ru', 'moy-ka_ru'),
    ('laohu.com', 'laohu_com'),
    ('vprok.ru', 'vprok_ru'),
    ('buzzolls.ru', 'buzzolls_ru'),
    ('morepoke.ru', 'morepoke_ru'),
    ('buketopt.ru', 'buketopt_ru'),
    ('infobot.pro', 'infobot_pro'),
    ('west.rest', 'west_rest'),
    ('my-shop.ru', 'my-shop_ru'),
    ('kiozk.ru', 'kiozk_ru'),
    ('r-ulybka.ru', 'r-ulybka_ru'),
    ('global.id', 'global_id'),
    ('decanter.ru', 'decanter_ru'),
    ('edem.rf', 'edem_rf'),
    ('supercatcasino.com', 'supercatcasino_com'),
    ('29supercarcasino.com', '29supercarcasino_com'),
    ('spinamba.com', 'spinamba_com'),
    ('germes.bet', 'germes_bet'),
    ('rsocks.net', 'rsocks_net'),
    ('ipserver.su', 'ipserver_su'),
    ('re', 'coinbase'),
    ('cards.premiumbonus.su', 'cards_premiumbonus_su'),
    ('OLIMP', 'olimp'),
    ('sweet.tv', 'sweet_tv'),
    ('inbox.lv', 'inbox_lv'),
    ('izi.ua', 'izi_ua'),
    ('meta.ua', 'meta_ua'),
    ('citizen.odessa.ua', 'citizen_odessa_ua'),
    ('justin.ua', 'justin_ua'),
    ('rabota.ua', 'rabota_ua'),
    ('online.ua', 'online_ua'),
    ('dt', 'wog'),
    ('kk', 'kleiderkreisel'),
    ('telekom', 'tonline'),
    ('pf', 'pof_com'),
    ('lw', 'mrgreen'),
    ('dk', 'dukascopy'),
    ('vantage', 'vantagemarkets'),
    ('pathme.com', 'pathme_com'),
    ('rx', 'sheerid'),
    ('kb', 'kufarby'),
    ('zadarma.com', 'zadarma_com'),
    ('bz', 'blizzard'),
    ('esportal.com', 'esportal_com'),
    ('luckybet.cz', 'luckybet_cz'),
    ('ubet.kz', 'ubet_kz'),
    ('PayGo', 'paygo'),
    ('Wpay', 'wpay'),
    ('rz', 'easypay'),
    ('goods.ru', 'goods_ru'),
    ('beget.com', 'beget_com'),
    ('zaymer.ru', 'zaymer_ru'),
    ('beget.ru', 'beget_ru'),
    ('bt', 'alfa'),
    ('sms.ru#', 'sms_ru#'),
    ('4slovo.ru', '4slovo_ru'),
    ('tr', 'paysend_com'),
    ('ce', 'mos_com_ru'),
    ('rsb.ru', 'rsb_ru'),
    ('vostbank.ru', 'vostbank_ru'),
    ('mostbet.com', 'mostbet_com'),
    ('mylove.ru', 'mylove_ru'),
    ('dengomir.ru', 'dengomir_ru'),
    ('winline ru', 'winline_ru'),
    ('moneta.ru', 'moneta_ru'),
    ('900', '900'),
    ('Whoosh', 'whoosh'),
    ('worki.ru', 'worki_ru'),
    ('dodo pizza', 'dodo_pizza'),
    ('pr', 'trendyol'),
    ('py', 'monese'),
    ('Gcash', 'gcash'),
    ('ot', 'Any other'), ]


class Command(BaseCommand):
    help = 'Set all services'

    def add_arguments(self, parser):
        parser.add_argument('-f', type=str, help='CSV file with services', required=True)

    def handle(self, *args, **options):
        csv.register_dialect('dialect', delimiter=';')
        filename = options.get('f')

        existed_services = 0
        existed_accounts_services = 0
        new_services = 0
        new_accounts_services = 0
        with open(filename, newline='') as f:
            reader = csv.DictReader(f, dialect='dialect')
            # check accounts
            for account in reader.fieldnames[1:]:
                if not Account.objects.filter(name=account).exists():
                    sys.exit(f'Not existed account {account}')

            accounts_settings = {}
            try:
                for row in reader:
                    # setting rows
                    if row['name'] == 'limit' or row['name'] == 'tries' or row['name'] == 'interval':
                        for account_name, value in list(row.items())[1:]:
                            if account_name not in accounts_settings:
                                accounts_settings.update({account_name: {}})
                            accounts_settings[account_name][row['name']] = value
                    else:
                        # create or get service
                        service, created = Service.objects.get_or_create(name=row['name'])
                        if created:
                            new_services += 1
                        else:
                            existed_services += 1
                        # create account services for not empty cell
                        for priority, (account_name, code) in enumerate(list(row.items())[1:]):
                            if code:
                                account = Account.objects.get(name=account_name)
                                defaults = {
                                    'limit': accounts_settings[account_name]['limit'],
                                    'allowed_tries': accounts_settings[account_name]['tries'],
                                    'try_interval': timedelta(minutes=int(accounts_settings[account_name]['interval'])),
                                    'priority': priority,
                                    'service_code': code
                                }
                                account_service, created = AccountService.objects.update_or_create(account=account,
                                                                                                   service=service,
                                                                                                   defaults=defaults)
                        if created:
                            new_accounts_services += 1
                        else:
                            existed_accounts_services += 1

            except csv.Error as e:
                sys.exit('file {}, line {}: {}'.format(filename, reader.line_num, e))
        print(f'existed_services: {existed_services}\n'
              f'existed_accounts_services: {existed_accounts_services}\n'
              f'new_services: {new_services}\n'
              f'new_accounts_services: {new_accounts_services}\n')
